Add Media
curl --request POST \
--url https://api.birdeye.com/resources/v1/business/{businessNumber}/upload/media \
--header 'Content-Type: application/json' \
--data '
{
"media": [
{
"url": "https://images.pexels.com/photos/12128533/pexels-photo-12128533.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2",
"mediaCategory": "TEAMS",
"description": "Image of the team",
"mediaFormat": "PHOTO"
},
{
"url": "https://videos.pexels.com/video/123123/pexelsvideo-12323.mp4",
"mediaCategory": "ADDITIONAL",
"description": "Introductory video",
"mediaFormat": "VIDEO"
}
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/{businessNumber}/upload/media"
payload = { "media": [
{
"url": "https://images.pexels.com/photos/12128533/pexels-photo-12128533.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2",
"mediaCategory": "TEAMS",
"description": "Image of the team",
"mediaFormat": "PHOTO"
},
{
"url": "https://videos.pexels.com/video/123123/pexelsvideo-12323.mp4",
"mediaCategory": "ADDITIONAL",
"description": "Introductory video",
"mediaFormat": "VIDEO"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
media: [
{
url: 'https://images.pexels.com/photos/12128533/pexels-photo-12128533.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2',
mediaCategory: 'TEAMS',
description: 'Image of the team',
mediaFormat: 'PHOTO'
},
{
url: 'https://videos.pexels.com/video/123123/pexelsvideo-12323.mp4',
mediaCategory: 'ADDITIONAL',
description: 'Introductory video',
mediaFormat: 'VIDEO'
}
]
})
};
fetch('https://api.birdeye.com/resources/v1/business/{businessNumber}/upload/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"media": [
"<unknown>"
]
}{
"code": 2175,
"message": "Provided media category is not supported"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 89,
"message": "Rate limit exceeded"
}Business Media
Add Media
POST
/
v1
/
business
/
{businessNumber}
/
upload
/
media
Add Media
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Location Number, in case of SMB it will be Business Number.
Body
application/json
List of media items to be uploaded.
Response
OK
List of media items.

